<template>
    <v-dialog v-model="dialog" style="overflow: hidden">
        <template v-slot:activator="{ on, attrs }">
            <v-btn fab icon outlined v-bind="attrs" v-on="on">
                <v-icon>
                    {{ value }}
                </v-icon>
            </v-btn>
        </template>
        <v-card>
            <v-card-title class="title">
                <v-btn @click="closeDialog" icon outlined color="white">
                    <v-icon>mdi-close</v-icon>
                </v-btn>
                <v-spacer/>
                {{ $t("LNG_ICON_PIKER_TITLE") }}
                <v-spacer/>
                <v-tooltip left>
                    <template v-slot:activator="{ on, attrs }">
                        <v-btn @click="emitIcon('')" icon color="red"
                               v-bind="attrs"
                               v-on="on">
                            <v-icon>mdi-delete</v-icon>
                        </v-btn>
                    </template>
                    <span>{{ $t("LNG_ICON_PIKER_DELETE_TOOLTIP") }}</span>
                </v-tooltip>
            </v-card-title>
            <v-card-text>
                <v-text-field v-model="query" prepend-icon="mdi-magnify" autofocus clearable label="Icon"/>
                <div class="flex-row">
                    <div class="flex-cell" v-for="item in filteredItems" :key="item">
                        <div class="iconbox" @click="emitIcon(item)">
                            <v-icon size="50">{{ item }}</v-icon>
                        </div>
                        <div class="caption">{{ item.replaceAll("mdi-", "") }}</div>
                    </div>
                </div>
            </v-card-text>
        </v-card>
    </v-dialog>
</template>

<script>
export default {
    name: "IconPicker",
    props: ["value"],
    data: () => ({
        dialog: false,
        query: "",
        selected: "",
        items: [
            "mdi-access-point",
            "mdi-access-point-network",
            "mdi-account",
            "mdi-account-alert",
            "mdi-account-box",
            "mdi-account-box-outline",
            "mdi-account-check",
            "mdi-account-circle",
            "mdi-account-convert",
            "mdi-account-key",
            "mdi-account-minus",
            "mdi-account-multiple",
            "mdi-account-multiple-minus",
            "mdi-account-multiple-outline",
            "mdi-account-multiple-plus",
            "mdi-account-network",
            "mdi-account-off",
            "mdi-account-outline",
            "mdi-account-plus",
            "mdi-account-remove",
            "mdi-account-search",
            "mdi-account-settings",
            "mdi-account-star",
            "mdi-account-switch",
            "mdi-adjust",
            "mdi-air-conditioner",
            "mdi-airballoon",
            "mdi-airplane",
            "mdi-airplane-landing",
            "mdi-airplane-off",
            "mdi-airplane-takeoff",
            "mdi-alarm",
            "mdi-alarm-check",
            "mdi-alarm-multiple",
            "mdi-alarm-off",
            "mdi-alarm-plus",
            "mdi-album",
            "mdi-alert",
            "mdi-alert-box",
            "mdi-alert-circle",
            "mdi-alert-circle-outline",
            "mdi-alert-octagon",
            "mdi-alert-outline",
            "mdi-alpha",
            "mdi-alphabetical",
            "mdi-altimeter",
            "mdi-amazon",
            "mdi-ambulance",
            "mdi-amplifier",
            "mdi-anchor",
            "mdi-android",
            "mdi-android-debug-bridge",
            "mdi-android-studio",
            "mdi-animation",
            "mdi-apple",
            "mdi-apple-finder",
            "mdi-apple-ios",
            "mdi-apple-keyboard-caps",
            "mdi-apple-keyboard-command",
            "mdi-apple-keyboard-control",
            "mdi-apple-keyboard-option",
            "mdi-apple-keyboard-shift",
            "mdi-apple-safari",
            "mdi-application",
            "mdi-apps",
            "mdi-archive",
            "mdi-arrange-bring-forward",
            "mdi-arrange-bring-to-front",
            "mdi-arrange-send-backward",
            "mdi-arrange-send-to-back",
            "mdi-arrow-all",
            "mdi-arrow-bottom-left",
            "mdi-arrow-bottom-right",
            "mdi-arrow-down",
            "mdi-arrow-down-bold",
            "mdi-arrow-down-bold-circle",
            "mdi-arrow-down-bold-circle-outline",
            "mdi-arrow-down-bold-hexagon-outline",
            "mdi-arrow-down-drop-circle",
            "mdi-arrow-down-drop-circle-outline",
            "mdi-arrow-expand",
            "mdi-arrow-expand-all",
            "mdi-arrow-left",
            "mdi-arrow-left-bold",
            "mdi-arrow-left-bold-circle",
            "mdi-arrow-left-bold-circle-outline",
            "mdi-arrow-left-bold-hexagon-outline",
            "mdi-arrow-left-drop-circle",
            "mdi-arrow-left-drop-circle-outline",
            "mdi-arrow-right",
            "mdi-arrow-right-bold",
            "mdi-arrow-right-bold-circle",
            "mdi-arrow-right-bold-circle-outline",
            "mdi-arrow-right-bold-hexagon-outline",
            "mdi-arrow-right-drop-circle",
            "mdi-arrow-right-drop-circle-outline",
            "mdi-arrow-top-left",
            "mdi-arrow-top-right",
            "mdi-arrow-up",
            "mdi-arrow-up-bold",
            "mdi-arrow-up-bold-circle",
            "mdi-arrow-up-bold-circle-outline",
            "mdi-arrow-up-bold-hexagon-outline",
            "mdi-arrow-up-drop-circle",
            "mdi-arrow-up-drop-circle-outline",
            "mdi-assistant",
            "mdi-at",
            "mdi-attachment",
            "mdi-auto-fix",
            "mdi-auto-upload",
            "mdi-autorenew",
            "mdi-av-timer",
            "mdi-baby",
            "mdi-backburger",
            "mdi-backspace",
            "mdi-backup-restore",
            "mdi-bank",
            "mdi-barcode",
            "mdi-barcode-scan",
            "mdi-barley",
            "mdi-barrel",
            "mdi-basket",
            "mdi-basket-fill",
            "mdi-basket-unfill",
            "mdi-battery",
            "mdi-battery-10",
            "mdi-battery-20",
            "mdi-battery-30",
            "mdi-battery-40",
            "mdi-battery-50",
            "mdi-battery-60",
            "mdi-battery-70",
            "mdi-battery-80",
            "mdi-battery-90",
            "mdi-battery-alert",
            "mdi-battery-charging",
            "mdi-battery-charging-100",
            "mdi-battery-charging-20",
            "mdi-battery-charging-30",
            "mdi-battery-charging-40",
            "mdi-battery-charging-60",
            "mdi-battery-charging-80",
            "mdi-battery-charging-90",
            "mdi-battery-minus",
            "mdi-battery-negative",
            "mdi-battery-outline",
            "mdi-battery-plus",
            "mdi-battery-positive",
            "mdi-battery-unknown",
            "mdi-beach",
            "mdi-beer",
            "mdi-bell",
            "mdi-bell-off",
            "mdi-bell-outline",
            "mdi-bell-plus",
            "mdi-bell-ring",
            "mdi-bell-ring-outline",
            "mdi-bell-sleep",
            "mdi-beta",
            "mdi-bike",
            "mdi-binoculars",
            "mdi-bio",
            "mdi-biohazard",
            "mdi-bitbucket",
            "mdi-black-mesa",
            "mdi-blender",
            "mdi-blinds",
            "mdi-block-helper",
            "mdi-blogger",
            "mdi-bluetooth",
            "mdi-bluetooth-audio",
            "mdi-bluetooth-connect",
            "mdi-bluetooth-off",
            "mdi-bluetooth-settings",
            "mdi-bluetooth-transfer",
            "mdi-blur",
            "mdi-blur-linear",
            "mdi-blur-off",
            "mdi-blur-radial",
            "mdi-bone",
            "mdi-book",
            "mdi-book-minus",
            "mdi-book-multiple",
            "mdi-book-open",
            "mdi-book-open-page-variant",
            "mdi-book-open-variant",
            "mdi-book-plus",
            "mdi-book-variant",
            "mdi-bookmark",
            "mdi-bookmark-check",
            "mdi-bookmark-music",
            "mdi-bookmark-outline",
            "mdi-bookmark-plus",
            "mdi-bookmark-plus-outline",
            "mdi-bookmark-remove",
            "mdi-boombox",
            "mdi-border-all",
            "mdi-border-bottom",
            "mdi-border-color",
            "mdi-border-horizontal",
            "mdi-border-inside",
            "mdi-border-left",
            "mdi-border-none",
            "mdi-border-outside",
            "mdi-border-right",
            "mdi-border-style",
            "mdi-border-top",
            "mdi-border-vertical",
            "mdi-bowl",
            "mdi-bowling",
            "mdi-box",
            "mdi-box-cutter",
            "mdi-box-shadow",
            "mdi-bridge",
            "mdi-briefcase",
            "mdi-briefcase-check",
            "mdi-briefcase-download",
            "mdi-briefcase-upload",
            "mdi-brightness-1",
            "mdi-brightness-2",
            "mdi-brightness-3",
            "mdi-brightness-4",
            "mdi-brightness-5",
            "mdi-brightness-6",
            "mdi-brightness-7",
            "mdi-brightness-auto",
            "mdi-broom",
            "mdi-brush",
            "mdi-buffer",
            "mdi-bug",
            "mdi-bulletin-board",
            "mdi-bullhorn",
            "mdi-bullseye",
            "mdi-bus",
            "mdi-cached",
            "mdi-cake",
            "mdi-cake-layered",
            "mdi-cake-variant",
            "mdi-calculator",
            "mdi-calendar",
            "mdi-calendar-blank",
            "mdi-calendar-check",
            "mdi-calendar-clock",
            "mdi-calendar-multiple",
            "mdi-calendar-multiple-check",
            "mdi-calendar-plus",
            "mdi-calendar-remove",
            "mdi-calendar-text",
            "mdi-calendar-today",
            "mdi-call-made",
            "mdi-call-merge",
            "mdi-call-missed",
            "mdi-call-received",
            "mdi-call-split",
            "mdi-camcorder",
            "mdi-camcorder-off",
            "mdi-camera",
            "mdi-camera-enhance",
            "mdi-camera-front",
            "mdi-camera-front-variant",
            "mdi-camera-iris",
            "mdi-camera-off",
            "mdi-camera-party-mode",
            "mdi-camera-rear",
            "mdi-camera-rear-variant",
            "mdi-camera-switch",
            "mdi-camera-timer",
            "mdi-candle",
            "mdi-candycane",
            "mdi-car",
            "mdi-car-battery",
            "mdi-car-connected",
            "mdi-car-wash",
            "mdi-cards",
            "mdi-cards-outline",
            "mdi-cards-playing-outline",
            "mdi-carrot",
            "mdi-cart",
            "mdi-cart-off",
            "mdi-cart-outline",
            "mdi-cart-plus",
            "mdi-case-sensitive-alt",
            "mdi-cash",
            "mdi-cash-100",
            "mdi-cash-multiple",
            "mdi-cash-usd",
            "mdi-cast",
            "mdi-cast-connected",
            "mdi-castle",
            "mdi-cat",
            "mdi-cellphone",
            "mdi-cellphone-android",
            "mdi-cellphone-basic",
            "mdi-cellphone-dock",
            "mdi-cellphone-iphone",
            "mdi-cellphone-link",
            "mdi-cellphone-link-off",
            "mdi-cellphone-settings",
            "mdi-certificate",
            "mdi-chair-school",
            "mdi-chart-arc",
            "mdi-chart-areaspline",
            "mdi-chart-bar",
            "mdi-chart-bubble",
            "mdi-chart-gantt",
            "mdi-chart-histogram",
            "mdi-chart-line",
            "mdi-chart-pie",
            "mdi-chart-timeline",
            "mdi-check",
            "mdi-check-all",
            "mdi-check-circle",
            "mdi-check-circle-outline",
            "mdi-checkbox-blank",
            "mdi-checkbox-blank-circle",
            "mdi-checkbox-blank-circle-outline",
            "mdi-checkbox-blank-outline",
            "mdi-checkbox-marked",
            "mdi-checkbox-marked-circle",
            "mdi-checkbox-marked-circle-outline",
            "mdi-checkbox-marked-outline",
            "mdi-checkbox-multiple-blank",
            "mdi-checkbox-multiple-blank-circle",
            "mdi-checkbox-multiple-blank-circle-outline",
            "mdi-checkbox-multiple-blank-outline",
            "mdi-checkbox-multiple-marked",
            "mdi-checkbox-multiple-marked-circle",
            "mdi-checkbox-multiple-marked-circle-outline",
            "mdi-checkbox-multiple-marked-outline",
            "mdi-checkerboard",
            "mdi-chemical-weapon",
            "mdi-chevron-double-down",
            "mdi-chevron-double-left",
            "mdi-chevron-double-right",
            "mdi-chevron-double-up",
            "mdi-chevron-down",
            "mdi-chevron-left",
            "mdi-chevron-right",
            "mdi-chevron-up",
            "mdi-chip",
            "mdi-church",
            "mdi-city",
            "mdi-clipboard",
            "mdi-clipboard-account",
            "mdi-clipboard-alert",
            "mdi-clipboard-arrow-down",
            "mdi-clipboard-arrow-left",
            "mdi-clipboard-check",
            "mdi-clipboard-outline",
            "mdi-clipboard-text",
            "mdi-clippy",
            "mdi-clock",
            "mdi-clock-alert",
            "mdi-clock-end",
            "mdi-clock-fast",
            "mdi-clock-in",
            "mdi-clock-out",
            "mdi-clock-start",
            "mdi-close",
            "mdi-close-box",
            "mdi-close-box-outline",
            "mdi-close-circle",
            "mdi-close-circle-outline",
            "mdi-close-network",
            "mdi-close-octagon",
            "mdi-close-octagon-outline",
            "mdi-closed-caption",
            "mdi-cloud",
            "mdi-cloud-check",
            "mdi-cloud-circle",
            "mdi-cloud-download",
            "mdi-cloud-outline",
            "mdi-cloud-print",
            "mdi-cloud-print-outline",
            "mdi-cloud-sync",
            "mdi-cloud-upload",
            "mdi-code-array",
            "mdi-code-braces",
            "mdi-code-brackets",
            "mdi-code-equal",
            "mdi-code-greater-than",
            "mdi-code-greater-than-or-equal",
            "mdi-code-less-than",
            "mdi-code-less-than-or-equal",
            "mdi-code-not-equal",
            "mdi-code-not-equal-variant",
            "mdi-code-parentheses",
            "mdi-code-string",
            "mdi-code-tags",
            "mdi-codepen",
            "mdi-coffee",
            "mdi-coffee-to-go",
            "mdi-collage",
            "mdi-color-helper",
            "mdi-comment",
            "mdi-comment-account",
            "mdi-comment-account-outline",
            "mdi-comment-alert",
            "mdi-comment-alert-outline",
            "mdi-comment-check",
            "mdi-comment-check-outline",
            "mdi-comment-multiple-outline",
            "mdi-comment-outline",
            "mdi-comment-plus-outline",
            "mdi-comment-processing",
            "mdi-comment-processing-outline",
            "mdi-comment-question-outline",
            "mdi-comment-remove-outline",
            "mdi-comment-text",
            "mdi-comment-text-outline",
            "mdi-compare",
            "mdi-compass",
            "mdi-compass-outline",
            "mdi-console",
            "mdi-content-copy",
            "mdi-content-cut",
            "mdi-content-duplicate",
            "mdi-content-paste",
            "mdi-content-save",
            "mdi-content-save-all",
            "mdi-content-save-settings",
            "mdi-contrast",
            "mdi-contrast-box",
            "mdi-contrast-circle",
            "mdi-cookie",
            "mdi-copyright",
            "mdi-counter",
            "mdi-cow",
            "mdi-credit-card",
            "mdi-credit-card-multiple",
            "mdi-credit-card-off",
            "mdi-credit-card-scan",
            "mdi-crop",
            "mdi-crop-free",
            "mdi-crop-landscape",
            "mdi-crop-portrait",
            "mdi-crop-square",
            "mdi-crosshairs",
            "mdi-crosshairs-gps",
            "mdi-crown",
            "mdi-cube",
            "mdi-cube-outline",
            "mdi-cube-send",
            "mdi-cube-unfolded",
            "mdi-cup",
            "mdi-cup-off",
            "mdi-cup-water",
            "mdi-currency-btc",
            "mdi-currency-eur",
            "mdi-currency-gbp",
            "mdi-currency-inr",
            "mdi-currency-ngn",
            "mdi-currency-rub",
            "mdi-currency-try",
            "mdi-currency-usd",
            "mdi-cursor-default",
            "mdi-cursor-default-outline",
            "mdi-cursor-move",
            "mdi-cursor-pointer",
            "mdi-cursor-text",
            "mdi-database",
            "mdi-database-minus",
            "mdi-database-plus",
            "mdi-debug-step-into",
            "mdi-debug-step-out",
            "mdi-debug-step-over",
            "mdi-decimal-decrease",
            "mdi-decimal-increase",
            "mdi-delete",
            "mdi-delete-forever",
            "mdi-delete-sweep",
            "mdi-delete-variant",
            "mdi-delta",
            "mdi-deskphone",
            "mdi-desktop-mac",
            "mdi-desktop-tower",
            "mdi-details",
            "mdi-deviantart",
            "mdi-dialpad",
            "mdi-diamond",
            "mdi-dice-1",
            "mdi-dice-2",
            "mdi-dice-3",
            "mdi-dice-4",
            "mdi-dice-5",
            "mdi-dice-6",
            "mdi-dice-d20",
            "mdi-dice-d4",
            "mdi-dice-d6",
            "mdi-dice-d8",
            "mdi-directions",
            "mdi-directions-fork",
            "mdi-discord",
            "mdi-disqus",
            "mdi-division",
            "mdi-division-box",
            "mdi-dns",
            "mdi-domain",
            "mdi-dots-horizontal",
            "mdi-dots-vertical",
            "mdi-download",
            "mdi-drag",
            "mdi-drag-horizontal",
            "mdi-drag-vertical",
            "mdi-drawing",
            "mdi-drawing-box",
            "mdi-drone",
            "mdi-dropbox",
            "mdi-drupal",
            "mdi-duck",
            "mdi-dumbbell",
            "mdi-earth",
            "mdi-earth-off",
            "mdi-eject",
            "mdi-elevation-decline",
            "mdi-elevation-rise",
            "mdi-elevator",
            "mdi-email",
            "mdi-email-open",
            "mdi-email-open-outline",
            "mdi-email-outline",
            "mdi-email-variant",
            "mdi-emoticon",
            "mdi-emoticon-cool",
            "mdi-emoticon-devil",
            "mdi-emoticon-happy",
            "mdi-emoticon-neutral",
            "mdi-emoticon-poop",
            "mdi-emoticon-sad",
            "mdi-emoticon-tongue",
            "mdi-engine",
            "mdi-engine-outline",
            "mdi-equal",
            "mdi-equal-box",
            "mdi-eraser",
            "mdi-eraser-variant",
            "mdi-escalator",
            "mdi-ethernet",
            "mdi-ethernet-cable",
            "mdi-ethernet-cable-off",
            "mdi-ev-station",
            "mdi-evernote",
            "mdi-exclamation",
            "mdi-exit-to-app",
            "mdi-export",
            "mdi-eye",
            "mdi-eye-off",
            "mdi-eyedropper",
            "mdi-eyedropper-variant",
            "mdi-face",
            "mdi-face-profile",
            "mdi-facebook",
            "mdi-facebook-messenger",
            "mdi-factory",
            "mdi-fan",
            "mdi-fast-forward",
            "mdi-fax",
            "mdi-ferry",
            "mdi-file",
            "mdi-file-chart",
            "mdi-file-check",
            "mdi-file-cloud",
            "mdi-file-delimited",
            "mdi-file-document",
            "mdi-file-excel",
            "mdi-file-excel-box",
            "mdi-file-export",
            "mdi-file-find",
            "mdi-file-hidden",
            "mdi-file-image",
            "mdi-file-import",
            "mdi-file-lock",
            "mdi-file-multiple",
            "mdi-file-music",
            "mdi-file-outline",
            "mdi-file-pdf",
            "mdi-file-pdf-box",
            "mdi-file-powerpoint",
            "mdi-file-powerpoint-box",
            "mdi-file-presentation-box",
            "mdi-file-restore",
            "mdi-file-send",
            "mdi-file-tree",
            "mdi-file-video",
            "mdi-file-word",
            "mdi-file-word-box",
            "mdi-film",
            "mdi-filmstrip",
            "mdi-filmstrip-off",
            "mdi-filter",
            "mdi-filter-outline",
            "mdi-filter-remove",
            "mdi-filter-remove-outline",
            "mdi-filter-variant",
            "mdi-fingerprint",
            "mdi-fire",
            "mdi-firefox",
            "mdi-fish",
            "mdi-flag",
            "mdi-flag-checkered",
            "mdi-flag-outline",
            "mdi-flag-triangle",
            "mdi-flag-variant",
            "mdi-flash",
            "mdi-flash-auto",
            "mdi-flash-off",
            "mdi-flashlight",
            "mdi-flashlight-off",
            "mdi-flask",
            "mdi-flask-empty",
            "mdi-flask-empty-outline",
            "mdi-flask-outline",
            "mdi-flip-to-back",
            "mdi-flip-to-front",
            "mdi-floppy",
            "mdi-flower",
            "mdi-folder",
            "mdi-folder-account",
            "mdi-folder-download",
            "mdi-folder-google-drive",
            "mdi-folder-image",
            "mdi-folder-lock",
            "mdi-folder-lock-open",
            "mdi-folder-move",
            "mdi-folder-multiple",
            "mdi-folder-multiple-image",
            "mdi-folder-multiple-outline",
            "mdi-folder-outline",
            "mdi-folder-plus",
            "mdi-folder-remove",
            "mdi-folder-upload",
            "mdi-food",
            "mdi-food-apple",
            "mdi-food-fork-drink",
            "mdi-food-off",
            "mdi-food-variant",
            "mdi-football",
            "mdi-football-australian",
            "mdi-football-helmet",
            "mdi-format-align-center",
            "mdi-format-align-justify",
            "mdi-format-align-left",
            "mdi-format-align-right",
            "mdi-format-annotation-plus",
            "mdi-format-bold",
            "mdi-format-clear",
            "mdi-format-color-fill",
            "mdi-format-float-center",
            "mdi-format-float-left",
            "mdi-format-float-none",
            "mdi-format-float-right",
            "mdi-format-header-1",
            "mdi-format-header-2",
            "mdi-format-header-3",
            "mdi-format-header-4",
            "mdi-format-header-5",
            "mdi-format-header-6",
            "mdi-format-header-decrease",
            "mdi-format-header-equal",
            "mdi-format-header-increase",
            "mdi-format-header-pound",
            "mdi-format-horizontal-align-center",
            "mdi-format-horizontal-align-left",
            "mdi-format-horizontal-align-right",
            "mdi-format-indent-decrease",
            "mdi-format-indent-increase",
            "mdi-format-italic",
            "mdi-format-line-spacing",
            "mdi-format-line-style",
            "mdi-format-line-weight",
            "mdi-format-list-bulleted",
            "mdi-format-list-bulleted-type",
            "mdi-format-paint",
            "mdi-format-paragraph",
            "mdi-format-size",
            "mdi-format-strikethrough",
            "mdi-format-strikethrough-variant",
            "mdi-format-subscript",
            "mdi-format-superscript",
            "mdi-format-text",
            "mdi-format-textdirection-l-to-r",
            "mdi-format-textdirection-r-to-l",
            "mdi-format-title",
            "mdi-format-underline",
            "mdi-format-vertical-align-bottom",
            "mdi-format-vertical-align-center",
            "mdi-format-vertical-align-top",
            "mdi-format-wrap-inline",
            "mdi-format-wrap-square",
            "mdi-format-wrap-tight",
            "mdi-format-wrap-top-bottom",
            "mdi-forum",
            "mdi-forward",
            "mdi-fridge",
            "mdi-fullscreen",
            "mdi-fullscreen-exit",
            "mdi-function",
            "mdi-gamepad",
            "mdi-gamepad-variant",
            "mdi-gas-cylinder",
            "mdi-gas-station",
            "mdi-gate",
            "mdi-gauge",
            "mdi-gavel",
            "mdi-gender-female",
            "mdi-gender-male",
            "mdi-gender-male-female",
            "mdi-gender-transgender",
            "mdi-ghost",
            "mdi-gift",
            "mdi-git",
            "mdi-glass-flute",
            "mdi-glass-mug",
            "mdi-glass-stange",
            "mdi-glass-tulip",
            "mdi-glasses",
            "mdi-gmail",
            "mdi-gnome",
            "mdi-google",
            "mdi-google-cardboard",
            "mdi-google-chrome",
            "mdi-google-circles",
            "mdi-google-circles-communities",
            "mdi-google-circles-extended",
            "mdi-google-circles-group",
            "mdi-google-controller",
            "mdi-google-controller-off",
            "mdi-google-drive",
            "mdi-google-earth",
            "mdi-google-glass",
            "mdi-google-maps",
            "mdi-google-nearby",
            "mdi-google-play",
            "mdi-google-plus",
            "mdi-google-translate",
            "mdi-grease-pencil",
            "mdi-grid",
            "mdi-grid-off",
            "mdi-group",
            "mdi-guitar-electric",
            "mdi-guitar-pick",
            "mdi-guitar-pick-outline",
            "mdi-hand-pointing-right",
            "mdi-hanger",
            "mdi-harddisk",
            "mdi-headphones",
            "mdi-headphones-box",
            "mdi-headphones-settings",
            "mdi-headset",
            "mdi-headset-dock",
            "mdi-headset-off",
            "mdi-heart",
            "mdi-heart-box",
            "mdi-heart-box-outline",
            "mdi-heart-broken",
            "mdi-heart-outline",
            "mdi-heart-pulse",
            "mdi-help",
            "mdi-help-circle",
            "mdi-help-circle-outline",
            "mdi-hexagon",
            "mdi-hexagon-outline",
            "mdi-highway",
            "mdi-history",
            "mdi-hololens",
            "mdi-home",
            "mdi-home-map-marker",
            "mdi-home-modern",
            "mdi-home-variant",
            "mdi-hops",
            "mdi-hospital",
            "mdi-hospital-building",
            "mdi-hospital-marker",
            "mdi-human",
            "mdi-human-child",
            "mdi-human-female",
            "mdi-human-greeting",
            "mdi-human-handsdown",
            "mdi-human-handsup",
            "mdi-human-male",
            "mdi-human-male-female",
            "mdi-human-pregnant",
            "mdi-image",
            "mdi-image-album",
            "mdi-image-area",
            "mdi-image-area-close",
            "mdi-image-broken",
            "mdi-image-broken-variant",
            "mdi-image-filter-black-white",
            "mdi-image-filter-center-focus",
            "mdi-image-filter-center-focus-weak",
            "mdi-image-filter-drama",
            "mdi-image-filter-frames",
            "mdi-image-filter-hdr",
            "mdi-image-filter-none",
            "mdi-image-filter-tilt-shift",
            "mdi-image-filter-vintage",
            "mdi-image-multiple",
            "mdi-import",
            "mdi-inbox",
            "mdi-incognito",
            "mdi-information",
            "mdi-information-outline",
            "mdi-information-variant",
            "mdi-instagram",
            "mdi-invert-colors",
            "mdi-jeepney",
            "mdi-jira",
            "mdi-jsfiddle",
            "mdi-keg",
            "mdi-kettle",
            "mdi-key",
            "mdi-key-change",
            "mdi-key-minus",
            "mdi-key-plus",
            "mdi-key-remove",
            "mdi-key-variant",
            "mdi-keyboard",
            "mdi-keyboard-backspace",
            "mdi-keyboard-caps",
            "mdi-keyboard-close",
            "mdi-keyboard-off",
            "mdi-keyboard-return",
            "mdi-keyboard-tab",
            "mdi-keyboard-variant",
            "mdi-kodi",
            "mdi-label",
            "mdi-label-outline",
            "mdi-lambda",
            "mdi-lan",
            "mdi-lan-connect",
            "mdi-lan-disconnect",
            "mdi-lan-pending",
            "mdi-language-c",
            "mdi-language-cpp",
            "mdi-language-csharp",
            "mdi-language-css3",
            "mdi-language-html5",
            "mdi-language-javascript",
            "mdi-language-php",
            "mdi-language-python",
            "mdi-laptop",
            "mdi-laptop-chromebook",
            "mdi-laptop-mac",
            "mdi-laptop-windows",
            "mdi-launch",
            "mdi-layers",
            "mdi-layers-off",
            "mdi-lead-pencil",
            "mdi-leaf",
            "mdi-led-off",
            "mdi-led-on",
            "mdi-led-outline",
            "mdi-led-variant-off",
            "mdi-led-variant-on",
            "mdi-led-variant-outline",
            "mdi-library",
            "mdi-lightbulb",
            "mdi-lightbulb-outline",
            "mdi-link",
            "mdi-link-off",
            "mdi-link-variant",
            "mdi-link-variant-off",
            "mdi-linkedin",
            "mdi-linux",
            "mdi-lock",
            "mdi-lock-open",
            "mdi-lock-open-outline",
            "mdi-lock-outline",
            "mdi-lock-plus",
            "mdi-login",
            "mdi-login-variant",
            "mdi-logout",
            "mdi-logout-variant",
            "mdi-looks",
            "mdi-loupe",
            "mdi-lumx",
            "mdi-magnet",
            "mdi-magnet-on",
            "mdi-magnify",
            "mdi-magnify-minus",
            "mdi-magnify-plus",
            "mdi-map",
            "mdi-map-marker",
            "mdi-map-marker-circle",
            "mdi-map-marker-minus",
            "mdi-map-marker-multiple",
            "mdi-map-marker-off",
            "mdi-map-marker-plus",
            "mdi-map-marker-radius",
            "mdi-margin",
            "mdi-marker",
            "mdi-marker-check",
            "mdi-material-ui",
            "mdi-math-compass",
            "mdi-matrix",
            "mdi-memory",
            "mdi-menu",
            "mdi-menu-down",
            "mdi-menu-left",
            "mdi-menu-right",
            "mdi-menu-up",
            "mdi-message",
            "mdi-message-alert",
            "mdi-message-draw",
            "mdi-message-image",
            "mdi-message-outline",
            "mdi-message-plus",
            "mdi-message-processing",
            "mdi-message-reply",
            "mdi-message-reply-text",
            "mdi-message-text",
            "mdi-message-text-outline",
            "mdi-message-video",
            "mdi-meteor",
            "mdi-microphone",
            "mdi-microphone-off",
            "mdi-microphone-outline",
            "mdi-microphone-settings",
            "mdi-microphone-variant",
            "mdi-microphone-variant-off",
            "mdi-microscope",
            "mdi-microsoft",
            "mdi-minecraft",
            "mdi-minus",
            "mdi-minus-box",
            "mdi-minus-circle",
            "mdi-minus-circle-outline",
            "mdi-minus-network",
            "mdi-monitor",
            "mdi-monitor-multiple",
            "mdi-more",
            "mdi-motorbike",
            "mdi-mouse",
            "mdi-mouse-off",
            "mdi-mouse-variant",
            "mdi-mouse-variant-off",
            "mdi-move-resize",
            "mdi-move-resize-variant",
            "mdi-movie",
            "mdi-multiplication",
            "mdi-multiplication-box",
            "mdi-music-box",
            "mdi-music-box-outline",
            "mdi-music-circle",
            "mdi-music-note",
            "mdi-music-note-bluetooth",
            "mdi-music-note-bluetooth-off",
            "mdi-music-note-eighth",
            "mdi-music-note-half",
            "mdi-music-note-off",
            "mdi-music-note-quarter",
            "mdi-music-note-sixteenth",
            "mdi-music-note-whole",
            "mdi-nature",
            "mdi-nature-people",
            "mdi-navigation",
            "mdi-near-me",
            "mdi-needle",
            "mdi-new-box",
            "mdi-newspaper",
            "mdi-nfc",
            "mdi-nfc-tap",
            "mdi-nfc-variant",
            "mdi-nodejs",
            "mdi-note",
            "mdi-note-outline",
            "mdi-note-plus",
            "mdi-note-plus-outline",
            "mdi-note-text",
            "mdi-notification-clear-all",
            "mdi-numeric",
            "mdi-numeric-0-box",
            "mdi-numeric-0-box-multiple-outline",
            "mdi-numeric-0-box-outline",
            "mdi-numeric-1-box",
            "mdi-numeric-1-box-multiple-outline",
            "mdi-numeric-1-box-outline",
            "mdi-numeric-2-box",
            "mdi-numeric-2-box-multiple-outline",
            "mdi-numeric-2-box-outline",
            "mdi-numeric-3-box",
            "mdi-numeric-3-box-multiple-outline",
            "mdi-numeric-3-box-outline",
            "mdi-numeric-4-box",
            "mdi-numeric-4-box-multiple-outline",
            "mdi-numeric-4-box-outline",
            "mdi-numeric-5-box",
            "mdi-numeric-5-box-multiple-outline",
            "mdi-numeric-5-box-outline",
            "mdi-numeric-6-box",
            "mdi-numeric-6-box-multiple-outline",
            "mdi-numeric-6-box-outline",
            "mdi-numeric-7-box",
            "mdi-numeric-7-box-multiple-outline",
            "mdi-numeric-7-box-outline",
            "mdi-numeric-8-box",
            "mdi-numeric-8-box-multiple-outline",
            "mdi-numeric-8-box-outline",
            "mdi-numeric-9-box",
            "mdi-numeric-9-box-multiple-outline",
            "mdi-numeric-9-box-outline",
            "mdi-numeric-9-plus-box",
            "mdi-numeric-9-plus-box-multiple-outline",
            "mdi-numeric-9-plus-box-outline",
            "mdi-nutrition",
            "mdi-octagon",
            "mdi-octagon-outline",
            "mdi-odnoklassniki",
            "mdi-oil",
            "mdi-oil-temperature",
            "mdi-omega",
            "mdi-opacity",
            "mdi-open-in-app",
            "mdi-open-in-new",
            "mdi-openid",
            "mdi-opera",
            "mdi-ornament",
            "mdi-ornament-variant",
            "mdi-owl",
            "mdi-package",
            "mdi-package-down",
            "mdi-package-up",
            "mdi-package-variant",
            "mdi-package-variant-closed",
            "mdi-page-first",
            "mdi-page-last",
            "mdi-palette",
            "mdi-palette-advanced",
            "mdi-panda",
            "mdi-pandora",
            "mdi-panorama",
            "mdi-panorama-fisheye",
            "mdi-panorama-horizontal",
            "mdi-panorama-vertical",
            "mdi-panorama-wide-angle",
            "mdi-paper-cut-vertical",
            "mdi-paperclip",
            "mdi-parking",
            "mdi-pause",
            "mdi-pause-circle",
            "mdi-pause-circle-outline",
            "mdi-pause-octagon",
            "mdi-pause-octagon-outline",
            "mdi-paw",
            "mdi-paw-off",
            "mdi-pen",
            "mdi-pencil",
            "mdi-pencil-box",
            "mdi-pencil-box-outline",
            "mdi-pencil-lock",
            "mdi-pencil-off",
            "mdi-percent",
            "mdi-pharmacy",
            "mdi-phone",
            "mdi-phone-bluetooth",
            "mdi-phone-classic",
            "mdi-phone-forward",
            "mdi-phone-hangup",
            "mdi-phone-in-talk",
            "mdi-phone-incoming",
            "mdi-phone-log",
            "mdi-phone-minus",
            "mdi-phone-missed",
            "mdi-phone-outgoing",
            "mdi-phone-paused",
            "mdi-phone-plus",
            "mdi-phone-settings",
            "mdi-phone-voip",
            "mdi-pi",
            "mdi-pi-box",
            "mdi-pig",
            "mdi-pill",
            "mdi-pin",
            "mdi-pin-off",
            "mdi-pine-tree",
            "mdi-pine-tree-box",
            "mdi-pinterest",
            "mdi-pizza",
            "mdi-play",
            "mdi-play-box-outline",
            "mdi-play-circle",
            "mdi-play-circle-outline",
            "mdi-play-pause",
            "mdi-play-protected-content",
            "mdi-playlist-check",
            "mdi-playlist-minus",
            "mdi-playlist-play",
            "mdi-playlist-plus",
            "mdi-playlist-remove",
            "mdi-plus",
            "mdi-plus-box",
            "mdi-plus-circle",
            "mdi-plus-circle-multiple-outline",
            "mdi-plus-circle-outline",
            "mdi-plus-network",
            "mdi-plus-one",
            "mdi-pokeball",
            "mdi-polaroid",
            "mdi-poll",
            "mdi-poll-box",
            "mdi-polymer",
            "mdi-pool",
            "mdi-popcorn",
            "mdi-pot",
            "mdi-pot-mix",
            "mdi-pound",
            "mdi-pound-box",
            "mdi-power",
            "mdi-power-settings",
            "mdi-power-socket",
            "mdi-presentation",
            "mdi-presentation-play",
            "mdi-printer",
            "mdi-printer-3d",
            "mdi-printer-alert",
            "mdi-priority-high",
            "mdi-priority-low",
            "mdi-professional-hexagon",
            "mdi-projector",
            "mdi-projector-screen",
            "mdi-pulse",
            "mdi-puzzle",
            "mdi-qqchat",
            "mdi-qrcode",
            "mdi-qrcode-scan",
            "mdi-quadcopter",
            "mdi-quality-high",
            "mdi-radar",
            "mdi-radiator",
            "mdi-radio",
            "mdi-radio-handheld",
            "mdi-radio-tower",
            "mdi-radioactive",
            "mdi-radiobox-blank",
            "mdi-radiobox-marked",
            "mdi-ray-end",
            "mdi-ray-end-arrow",
            "mdi-ray-start",
            "mdi-ray-start-arrow",
            "mdi-ray-start-end",
            "mdi-ray-vertex",
            "mdi-read",
            "mdi-receipt",
            "mdi-record",
            "mdi-record-rec",
            "mdi-recycle",
            "mdi-reddit",
            "mdi-redo",
            "mdi-redo-variant",
            "mdi-refresh",
            "mdi-regex",
            "mdi-relative-scale",
            "mdi-reload",
            "mdi-remote",
            "mdi-rename-box",
            "mdi-repeat",
            "mdi-repeat-off",
            "mdi-repeat-once",
            "mdi-replay",
            "mdi-reply",
            "mdi-reply-all",
            "mdi-reproduction",
            "mdi-resize-bottom-right",
            "mdi-responsive",
            "mdi-rewind",
            "mdi-ribbon",
            "mdi-road",
            "mdi-road-variant",
            "mdi-rocket",
            "mdi-rotate-3d",
            "mdi-rotate-left",
            "mdi-rotate-left-variant",
            "mdi-rotate-right",
            "mdi-rotate-right-variant",
            "mdi-rounded-corner",
            "mdi-router-wireless",
            "mdi-routes",
            "mdi-rowing",
            "mdi-rss",
            "mdi-rss-box",
            "mdi-ruler",
            "mdi-run",
            "mdi-sale",
            "mdi-satellite",
            "mdi-satellite-variant",
            "mdi-saxophone",
            "mdi-scale",
            "mdi-scale-balance",
            "mdi-scale-bathroom",
            "mdi-school",
            "mdi-screen-rotation",
            "mdi-screen-rotation-lock",
            "mdi-screwdriver",
            "mdi-script",
            "mdi-sd",
            "mdi-seal",
            "mdi-seat-flat",
            "mdi-seat-flat-angled",
            "mdi-seat-individual-suite",
            "mdi-seat-legroom-extra",
            "mdi-seat-legroom-normal",
            "mdi-seat-legroom-reduced",
            "mdi-seat-recline-extra",
            "mdi-seat-recline-normal",
            "mdi-security",
            "mdi-security-network",
            "mdi-select",
            "mdi-select-all",
            "mdi-select-inverse",
            "mdi-select-off",
            "mdi-selection",
            "mdi-send",
            "mdi-serial-port",
            "mdi-server",
            "mdi-server-minus",
            "mdi-server-network",
            "mdi-server-network-off",
            "mdi-server-off",
            "mdi-server-plus",
            "mdi-server-remove",
            "mdi-server-security",
            "mdi-shape-circle-plus",
            "mdi-shape-plus",
            "mdi-shape-polygon-plus",
            "mdi-shape-rectangle-plus",
            "mdi-shape-square-plus",
            "mdi-share",
            "mdi-share-variant",
            "mdi-shield",
            "mdi-shield-outline",
            "mdi-shopping",
            "mdi-shopping-music",
            "mdi-shredder",
            "mdi-shuffle",
            "mdi-shuffle-disabled",
            "mdi-shuffle-variant",
            "mdi-sigma",
            "mdi-sigma-lower",
            "mdi-sign-caution",
            "mdi-signal",
            "mdi-signal-variant",
            "mdi-silverware",
            "mdi-silverware-fork",
            "mdi-silverware-spoon",
            "mdi-silverware-variant",
            "mdi-sim",
            "mdi-sim-alert",
            "mdi-sim-off",
            "mdi-sitemap",
            "mdi-skip-backward",
            "mdi-skip-forward",
            "mdi-skip-next",
            "mdi-skip-next-circle",
            "mdi-skip-next-circle-outline",
            "mdi-skip-previous",
            "mdi-skip-previous-circle",
            "mdi-skip-previous-circle-outline",
            "mdi-skype",
            "mdi-skype-business",
            "mdi-slack",
            "mdi-sleep",
            "mdi-sleep-off",
            "mdi-smoking",
            "mdi-smoking-off",
            "mdi-snapchat",
            "mdi-snowman",
            "mdi-soccer",
            "mdi-sofa",
            "mdi-sort",
            "mdi-sort-ascending",
            "mdi-sort-descending",
            "mdi-sort-variant",
            "mdi-soundcloud",
            "mdi-source-branch",
            "mdi-source-fork",
            "mdi-source-merge",
            "mdi-source-pull",
            "mdi-speaker",
            "mdi-speaker-off",
            "mdi-speedometer",
            "mdi-spellcheck",
            "mdi-spotify",
            "mdi-spotlight",
            "mdi-spotlight-beam",
            "mdi-spray",
            "mdi-stairs",
            "mdi-star",
            "mdi-star-circle",
            "mdi-star-half",
            "mdi-star-off",
            "mdi-star-outline",
            "mdi-steam",
            "mdi-steering",
            "mdi-step-backward",
            "mdi-step-backward-2",
            "mdi-step-forward",
            "mdi-step-forward-2",
            "mdi-stethoscope",
            "mdi-sticker",
            "mdi-stocking",
            "mdi-stop",
            "mdi-stop-circle",
            "mdi-stop-circle-outline",
            "mdi-store",
            "mdi-store-24-hour",
            "mdi-stove",
            "mdi-subdirectory-arrow-left",
            "mdi-subdirectory-arrow-right",
            "mdi-subway",
            "mdi-sunglasses",
            "mdi-surround-sound",
            "mdi-swap-horizontal",
            "mdi-swap-vertical",
            "mdi-swim",
            "mdi-switch",
            "mdi-sword",
            "mdi-sync",
            "mdi-sync-alert",
            "mdi-sync-off",
            "mdi-tab",
            "mdi-tab-unselected",
            "mdi-table",
            "mdi-table-column-plus-after",
            "mdi-table-column-plus-before",
            "mdi-table-column-remove",
            "mdi-table-column-width",
            "mdi-table-edit",
            "mdi-table-large",
            "mdi-table-row-height",
            "mdi-table-row-plus-after",
            "mdi-table-row-plus-before",
            "mdi-table-row-remove",
            "mdi-tablet",
            "mdi-tablet-android",
            "mdi-tablet-ipad",
            "mdi-tag",
            "mdi-tag-faces",
            "mdi-tag-multiple",
            "mdi-tag-outline",
            "mdi-tag-text-outline",
            "mdi-target",
            "mdi-taxi",
            "mdi-teamviewer",
            "mdi-telegram",
            "mdi-television",
            "mdi-television-guide",
            "mdi-temperature-celsius",
            "mdi-temperature-fahrenheit",
            "mdi-temperature-kelvin",
            "mdi-tennis",
            "mdi-tent",
            "mdi-terrain",
            "mdi-test-tube",
            "mdi-text-shadow",
            "mdi-text-to-speech",
            "mdi-text-to-speech-off",
            "mdi-texture",
            "mdi-theater",
            "mdi-theme-light-dark",
            "mdi-thermometer",
            "mdi-thermometer-lines",
            "mdi-thumb-down",
            "mdi-thumb-down-outline",
            "mdi-thumb-up",
            "mdi-thumb-up-outline",
            "mdi-thumbs-up-down",
            "mdi-ticket",
            "mdi-ticket-account",
            "mdi-ticket-confirmation",
            "mdi-tie",
            "mdi-timelapse",
            "mdi-timer",
            "mdi-timer-10",
            "mdi-timer-3",
            "mdi-timer-off",
            "mdi-timer-sand",
            "mdi-timetable",
            "mdi-toggle-switch",
            "mdi-toggle-switch-off",
            "mdi-tooltip",
            "mdi-tooltip-edit",
            "mdi-tooltip-image",
            "mdi-tooltip-outline",
            "mdi-tooltip-text",
            "mdi-tooth",
            "mdi-traffic-light",
            "mdi-train",
            "mdi-tram",
            "mdi-transcribe",
            "mdi-transcribe-close",
            "mdi-transfer",
            "mdi-translate",
            "mdi-tree",
            "mdi-trello",
            "mdi-trending-down",
            "mdi-trending-neutral",
            "mdi-trending-up",
            "mdi-triangle",
            "mdi-triangle-outline",
            "mdi-trophy",
            "mdi-trophy-award",
            "mdi-trophy-outline",
            "mdi-trophy-variant",
            "mdi-trophy-variant-outline",
            "mdi-truck",
            "mdi-truck-delivery",
            "mdi-tshirt-crew",
            "mdi-tshirt-v",
            "mdi-tune",
            "mdi-tune-vertical",
            "mdi-twitch",
            "mdi-twitter",
            "mdi-twitter-retweet",
            "mdi-ubuntu",
            "mdi-umbraco",
            "mdi-umbrella",
            "mdi-umbrella-outline",
            "mdi-undo",
            "mdi-undo-variant",
            "mdi-ungroup",
            "mdi-untappd",
            "mdi-upload",
            "mdi-usb",
            "mdi-vector-arrange-above",
            "mdi-vector-arrange-below",
            "mdi-vector-circle",
            "mdi-vector-circle-variant",
            "mdi-vector-combine",
            "mdi-vector-curve",
            "mdi-vector-difference",
            "mdi-vector-difference-ab",
            "mdi-vector-difference-ba",
            "mdi-vector-intersection",
            "mdi-vector-line",
            "mdi-vector-point",
            "mdi-vector-polygon",
            "mdi-vector-polyline",
            "mdi-vector-rectangle",
            "mdi-vector-selection",
            "mdi-vector-square",
            "mdi-vector-triangle",
            "mdi-vector-union",
            "mdi-vibrate",
            "mdi-video",
            "mdi-video-off",
            "mdi-video-switch",
            "mdi-view-agenda",
            "mdi-view-array",
            "mdi-view-carousel",
            "mdi-view-column",
            "mdi-view-dashboard",
            "mdi-view-day",
            "mdi-view-grid",
            "mdi-view-headline",
            "mdi-view-list",
            "mdi-view-module",
            "mdi-view-quilt",
            "mdi-view-stream",
            "mdi-view-week",
            "mdi-vimeo",
            "mdi-violin",
            "mdi-vk",
            "mdi-vlc",
            "mdi-voicemail",
            "mdi-volume-high",
            "mdi-volume-low",
            "mdi-volume-medium",
            "mdi-volume-off",
            "mdi-vpn",
            "mdi-walk",
            "mdi-wallet",
            "mdi-wallet-giftcard",
            "mdi-wallet-membership",
            "mdi-wallet-travel",
            "mdi-wan",
            "mdi-watch",
            "mdi-watch-export",
            "mdi-watch-import",
            "mdi-water",
            "mdi-water-off",
            "mdi-water-percent",
            "mdi-water-pump",
            "mdi-watermark",
            "mdi-weather-cloudy",
            "mdi-weather-fog",
            "mdi-weather-hail",
            "mdi-weather-lightning",
            "mdi-weather-night",
            "mdi-weather-pouring",
            "mdi-weather-rainy",
            "mdi-weather-snowy",
            "mdi-weather-sunny",
            "mdi-weather-sunset",
            "mdi-weather-sunset-down",
            "mdi-weather-sunset-up",
            "mdi-weather-windy",
            "mdi-weather-windy-variant",
            "mdi-web",
            "mdi-webcam",
            "mdi-webhook",
            "mdi-wechat",
            "mdi-weight",
            "mdi-weight-kilogram",
            "mdi-whatsapp",
            "mdi-wheelchair-accessibility",
            "mdi-white-balance-auto",
            "mdi-white-balance-incandescent",
            "mdi-white-balance-iridescent",
            "mdi-white-balance-sunny",
            "mdi-wifi",
            "mdi-wifi-off",
            "mdi-wikipedia",
            "mdi-window-close",
            "mdi-window-closed",
            "mdi-window-maximize",
            "mdi-window-minimize",
            "mdi-window-open",
            "mdi-window-restore",
            "mdi-wordpress",
            "mdi-wrap",
            "mdi-wrench",
            "mdi-xing",
            "mdi-xml",
            "mdi-yeast",
            "mdi-zip-box"]
    }),
    computed: {
        filteredItems() {
            return this.items.filter((item) => item.toLowerCase().indexOf(this.query?.toLowerCase()) !== -1);
        }
    },
    methods: {
        emitIcon(icon) {
            this.$emit("input", icon);
            this.closeDialog();
        },
        closeDialog() {
            this.dialog = false;
            this.query = "";
            this.selected = "";
        }
    }
}
</script>

<style scoped>
.title {
    color: white;
    background-color: #0ABBEF;
}

.flex-cell {
    display: flex;
    flex-flow: column;
    justify-content: center;
    flex: 0 1 150px;
    height: 100px;
    text-align: center;
    transition: 0.5s;
}

.flex-cell:hover {
    background-color: gray;
    cursor: pointer;
    border-radius: 5px;
    transition: 0.2s;
}

.flex-cell:hover .caption {
    color: white;
}

.flex-row {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    max-height: 60vh;
    overflow-y: scroll;
}

.caption {
    padding: 2px;
    color: #757575;
    font-size: 20px;
    overflow: hidden;
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 150px;
}

.iconbox {
    word-wrap: break-word;
}
</style>